Covara logoDocs
Endpoint ReferenceAgent

Run a Vara agent turn

Starts or continues a Vara assistant conversation and can optionally attach documents or request tools.

POST
/v1/agent/messages

Starts or continues a Vara assistant conversation and can optionally attach documents or request tools.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agent/messages" \  -H "Content-Type: application/json" \  -d '{    "message": "string"  }'
{}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}